## sherlock 0.5.1

=== DESCRIPTION ===
Package: sherlock
Title: Graphical Displays to Aid Structured Problem Solving and
        Diagnosis
Version: 0.5.1
Authors@R: c( 
    person(given = "Gabor", family = "Szabo", email = "gabor.attila.szabo@gmail.com", role = c("aut", "cre")))
Description: Powerful graphical displays and statistical tools for structured problem solving and diagnosis. 
    The functions of the 'sherlock' package are especially useful for applying the process of elimination as a problem diagnosis technique.
    The 'sherlock' package was designed to seamlessly work with the 'tidyverse' set of packages and provides a collection of graphical displays 
    built on top of the 'ggplot' and 'plotly' packages, such as different kinds of small multiple plots as well as helper functions such as 
    adding reference lines, normalizing observations, reading in data or saving analysis results in an Excel file.
    References:
    David Hartshorne (2019, ISBN: 978-1-5272-5139-7).
    Stefan H. Steiner, R. Jock MacKay (2005, ISBN: 0873896467).
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.2.0
URL: https://github.com/gaboraszabo/sherlock,
        https://gaboraszabo.github.io/sherlock/
BugReports: https://github.com/gaboraszabo/sherlock/issues
Imports: magrittr, rlang (>= 0.4.11), forcats, ggplot2, dplyr, cowplot,
        scales, ggh4x, stringr, plotly, readr, openxlsx
Suggests: roxygen2
Depends: R (>= 2.10)
LazyData: true
NeedsCompilation: no
Packaged: 2022-11-16 15:16:47 UTC; gabor
Author: Gabor Szabo [aut, cre]
Maintainer: Gabor Szabo <gabor.attila.szabo@gmail.com>
Repository: CRAN
Date/Publication: 2022-11-17 14:10:02 UTC

## sherlock 0.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: sherlock
 Title: Graphical Displays to Aid Structured Problem Solving and
         Diagnosis
-Version: 0.5.1
+Version: 0.6.0
 Authors@R: c( 
     person(given = "Gabor", family = "Szabo", email = "gabor.attila.szabo@gmail.com", role = c("aut", "cre")))
 Description: Powerful graphical displays and statistical tools for structured problem solving and diagnosis. 
@@ -18,14 +18,15 @@
 URL: https://github.com/gaboraszabo/sherlock,
         https://gaboraszabo.github.io/sherlock/
 BugReports: https://github.com/gaboraszabo/sherlock/issues
-Imports: magrittr, rlang (>= 0.4.11), forcats, ggplot2, dplyr, cowplot,
-        scales, ggh4x, stringr, plotly, readr, openxlsx
+Imports: magrittr, rlang (>= 0.4.11), forcats, ggplot2, dplyr, tidyr,
+        cowplot, scales, ggh4x, stringr, plotly, readr, openxlsx,
+        purrr, fs, rstudioapi
 Suggests: roxygen2
 Depends: R (>= 2.10)
 LazyData: true
 NeedsCompilation: no
-Packaged: 2022-11-16 15:16:47 UTC; gabor
+Packaged: 2023-02-10 12:58:49 UTC; gabor
 Author: Gabor Szabo [aut, cre]
 Maintainer: Gabor Szabo <gabor.attila.szabo@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-11-17 14:10:02 UTC
+Date/Publication: 2023-02-10 13:20:02 UTC

## sherlock 0.7.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Package: sherlock
-Title: Graphical Displays to Aid Structured Problem Solving and
-        Diagnosis
-Version: 0.6.0
+Title: Graphical Displays for Structured Problem Solving and Diagnosis
+Version: 0.7.0
 Authors@R: c( 
     person(given = "Gabor", family = "Szabo", email = "gabor.attila.szabo@gmail.com", role = c("aut", "cre")))
 Description: Powerful graphical displays and statistical tools for structured problem solving and diagnosis. 
@@ -20,13 +19,13 @@
 BugReports: https://github.com/gaboraszabo/sherlock/issues
 Imports: magrittr, rlang (>= 0.4.11), forcats, ggplot2, dplyr, tidyr,
         cowplot, scales, ggh4x, stringr, plotly, readr, openxlsx,
-        purrr, fs, rstudioapi
+        purrr, fs, rstudioapi, tidytext
 Suggests: roxygen2
 Depends: R (>= 2.10)
 LazyData: true
 NeedsCompilation: no
-Packaged: 2023-02-10 12:58:49 UTC; gabor
+Packaged: 2023-06-11 23:37:47 UTC; gabor
 Author: Gabor Szabo [aut, cre]
 Maintainer: Gabor Szabo <gabor.attila.szabo@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-02-10 13:20:02 UTC
+Date/Publication: 2023-06-11 23:50:02 UTC

## sherlock 0.14.3+git20231006.b336017

=== debian/changelog ===
sherlock (0.14.3+git20231006.b336017-1) unstable; urgency=medium

  * Initial release. (Closes: #968631)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 27 Sep 2023 23:35:59 -0300

## sherlock 0.14.3+git20231225.2813b91

=== debian/changelog ===
sherlock (0.14.3+git20231225.2813b91-1) unstable; urgency=medium

  * New upstream version 0.14.3+git20231225.2813b91
  * debian/patches: separating distinct patches
  * debian/patches: updated fixed patches

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 29 Dec 2023 18:59:37 -0300

=== debian/watch ===
version=4
opts="mode=git, pretty=0.14.3+git%cd, pgpmode=none" \
  https://github.com/sherlock-project/sherlock HEAD

## sherlock 0.14.3+git20240119.e3a09f8

=== requirements.txt ===
certifi>=2019.6.16
colorama>=0.4.1
PySocks>=1.7.0
requests>=2.22.0
requests-futures>=1.0.0
stem>=1.8.0 
torrequest>=0.1.0
pandas>=1.0.0
openpyxl<=3.0.10
exrex>=0.11.0

=== debian/changelog ===
sherlock (0.14.3+git20240119.e3a09f8-1) unstable; urgency=medium

  * New upstream version 0.14.3+git20240119.e3a09f8
  * debian/watch: track branch by commit
  * Fix branch pristine-tar

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 03 Feb 2024 19:34:32 -0300

=== debian/control ===
Source: sherlock
Section: misc
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>,
           Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pandoc,
               python3-all,
               python3-certifi,
               python3-colorama,
               python3-openpyxl,
               python3-pandas,
               python3-pytest,
               python3-requests-futures,
               python3-setuptools,
               python3-socks,
               python3-stem,
               python3-torrequest
Standards-Version: 4.6.2
Homepage: https://github.com/sherlock-project/sherlock
Vcs-Browser: https://salsa.debian.org/pkg-security-team/sherlock
Vcs-Git: https://salsa.debian.org/pkg-security-team/sherlock.git

Package: sherlock
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Find usernames across social networks
 Sherlock relies on the site's designers providing a  unique URL
 for a registered username. To determine if a username is available,
 Sherlock queries that URL, and uses to response to understand if
 there is a claimed username already there.
 .
 Currently, the tool is capable of locating users on more than 300 social
 networks: Apple Developer, Arduino, Docker Hub, GitHub, GitLab,  Facebook,
 BitCoinForum, CNET, IFTTT, Instagram, PlayStore  PyPI, Scribd, Telegram,
 TikTok, Tinder etc.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=sherlock
export PYBUILD_TEST_CUSTOM=1



%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install -- --install-args="--install-lib=/usr/share/sherlock"
	install -m 755 -p -T debian/sherlock.py debian/sherlock/usr/bin/sherlock

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -m pytest  -v
endif

=== debian/tests/control ===
Test-Command: sherlock --help
Depends: python3-all,
         @
Restrictions: superficial

## sherlock 0.14.3+git20240427.9137ee4

=== debian/changelog ===
sherlock (0.14.3+git20240427.9137ee4-1) unstable; urgency=medium

  * New upstream version 0.14.3+git20240427.9137ee4

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 01 May 2024 07:26:24 -0300

sherlock (0.14.3+git20240315.55c680f-1) unstable; urgency=medium

  * New upstream version 0.14.3+git20240315.55c680f

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 06 Apr 2024 14:33:20 -0300

## sherlock 0.14.3+git20240511.b83f5be

=== debian/changelog ===
sherlock (0.14.3+git20240511.b83f5be-1) unstable; urgency=medium

  * New upstream version 0.14.3+git20240511.b83f5be
  * debian/control:
     - Added build-depends dh-sequence-python3 and pybuild-plugin-pyproject
     - Added 'Suite: autopkgtest-pkg-pybuild'
  * debian/patches: Removed because upstream added pyproject.toml file
  * debian/tests/control: Replaced by autopkgtest-pkg-pybuild in debian/control

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 11 May 2024 16:03:58 -0300

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
            Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pandoc,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-certifi,
                python3-colorama,
@@ -23,6 +24,7 @@
 Homepage: https://github.com/sherlock-project/sherlock
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/sherlock
 Vcs-Git: https://salsa.debian.org/pkg-security-team/sherlock.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: sherlock
 Architecture: all

=== debian/watch ===
version=4
opts="mode=git, pretty=0.14.3+git%cd.%h, pgpmode=none" \
  https://github.com/sherlock-project/sherlock HEAD

## sherlock 0.14.3+git20240515.0ecb496

=== requirements.txt ===
--- 
+++ 
@@ -6,5 +6,5 @@
 stem>=1.8.0 
 torrequest>=0.1.0
 pandas>=1.0.0
-openpyxl<=3.0.10
+openpyxl>=3.0.10
 exrex>=0.11.0

=== debian/changelog ===
sherlock (0.14.3+git20240515.0ecb496-1) unstable; urgency=medium

  * New upstream version 0.14.3+git20240515.0ecb496
  * debian/control:
     - Bumped Standards-Version to 4.7.0
     - Tags added for conflict resolution with pycrc package (Closes: #1071007)
  * debian/docs:
      - README.md moved to 'docs' directory in new version

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 18 May 2024 19:10:45 -0300

=== debian/control ===
--- 
+++ 
@@ -20,13 +20,15 @@
                python3-socks,
                python3-stem,
                python3-torrequest
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/sherlock-project/sherlock
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/sherlock
 Vcs-Git: https://salsa.debian.org/pkg-security-team/sherlock.git
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: sherlock
+Conflicts: pycrc
+Replaces: pycrc
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}

## sherlock 0.14.4+git20240531.e5ad3c4

=== debian/changelog ===
sherlock (0.14.4+git20240531.e5ad3c4-2) unstable; urgency=medium

  * Add Conflicts and Replaces fields in the sherlock binary. (Closes: #1072733)
  * Update packaging copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Fri, 07 Jun 2024 11:30:27 +0000

sherlock (0.14.4+git20240531.e5ad3c4-1) unstable; urgency=medium

  * New upstream version 0.14.4+git20240531.e5ad3c4
  * debian/patches: Adjusted directory installation package (Closes: #1071007)
  * debian/rules: Change to package build
  * debian/sherlock.install: Replaced by patch in pyproject.toml
  * debian/sherlock.py: Adjusted module path
  * debian/watch: Updated project version

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 01 Jun 2024 01:28:01 -0300

sherlock (0.14.3+git20240522.ab5fcbb-1) unstable; urgency=medium

  * New upstream version 0.14.3+git20240522.ab5fcbb
  * debian/control: Removed sessoion Conflicts and Replaces
  * debian/rules: Removed usr/lib directory
  * debian/sherlock.install: Package moved to usr/share (Closes: #1071007)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 23 May 2024 23:15:16 -0300

=== debian/control ===
--- 
+++ 
@@ -27,11 +27,11 @@
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: sherlock
-Conflicts: pycrc
-Replaces: pycrc
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
+Conflicts: python3-sherlock
+Replaces: python3-sherlock
 Description: Find usernames across social networks
  Sherlock relies on the site's designers providing a  unique URL
  for a registered username. To determine if a username is available,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=sherlock
export PYBUILD_TEST_CUSTOM=1



%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	install -m 755 -p -T debian/sherlock.py debian/sherlock/usr/bin/sherlock
	find debian/sherlock/ -type d -name tests -exec rm -r {} +

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -m pytest  -v
endif

=== debian/watch ===
version=4
opts="mode=git, pretty=0.14.4+git%cd.%h, pgpmode=none" \
  https://github.com/sherlock-project/sherlock HEAD

## sherlock 0.15.0

=== debian/changelog ===
sherlock (0.15.0-1parrot3) lory-updates; urgency=medium

  * Rebuild package.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 20 Jan 2025 00:34:29 +0100

sherlock (0.15.0-1parrot2) lory-updates; urgency=medium

  * Add custom env vars to rules 

 -- Dario "danterolle" Camonita <danterolle@parrotsec.org>  Wed, 18 Dec 2024 11:10:26 +0100

sherlock (0.15.0-1parrot1) lory-updates; urgency=medium

  * Update control file with new dependencies

 -- Dario "danterolle" Camonita <danterolle@parrotsec.org>  Thu, 12 Dec 2024 12:13:18 +0100

sherlock (0.15.0-0parrot1) lory-updates; urgency=medium

  * New upstream version 0.15.0
  * 

 -- Dario "danterolle" Camonita <danterolle@parrotsec.org>  Thu, 12 Dec 2024 11:27:42 +0100

sherlock (0.14.3+git20230421-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:11:10 +0200

sherlock (0.14.3+git20230421-0kali1) kali-dev; urgency=medium

  * New upstream version 0.14.3+git20230421
  * Refresh patches
  * Add test
  * Update packaging

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 03 Jul 2023 16:56:04 +0200

sherlock (0.14.3+git20230216-1) kali-dev; urgency=medium

  * New upstream version 0.14.3+git20230216
  * Refresh patch
  * Update standards version to 4.6.2, no changes needed.
  * d/watch: Update watch version too
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Thu, 16 Feb 2023 21:37:10 -0600

sherlock (0.14.2+git20221021-0kali2) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Add ITP bugs in 0.9.6~git20191128-0kali1.
  [ Steev Klimaszewski ]
  * Update d/watch to use git
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Thu, 29 Dec 2022 12:50:48 -0600

sherlock (0.14.2+git20221021-0kali1) kali-dev; urgency=medium

  * New upstream release.

 -- Steev Klimaszewski <steev@kali.org>  Tue, 25 Oct 2022 12:22:59 -0500

sherlock (0.14.0+git20210115-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Sophie Brun ]
  * New upstream version 0.14.0+git20210115
  * Update debian/copyright
  * Update installation
  * Bump Standards-Version to 4.5.1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 06 May 2021 14:29:48 +0200

sherlock (0.9.6~git20191128-0kali2) kali-dev; urgency=medium

  * Add superficial autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 11 Dec 2019 17:13:05 +0100

sherlock (0.9.6~git20191128-0kali1) kali-dev; urgency=medium

  * Initial release. Closes: #968631

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 29 Nov 2019 11:22:39 +0100

=== debian/control ===
Source: sherlock
Section: net
Priority: optional
Maintainer: Dario "danterolle" Camonita <danterolle@parrotsec.org>
Uploaders: Dario "danterolle" Camonita <danterolle@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pandoc,
               pybuild-plugin-pyproject,
               python3-all,
               python3-certifi,
               python3-colorama,
               python3-jsonschema,
               python3-openpyxl,
               python3-pandas,
               python3-poetry,
               python3-poetry-core,
               python3-pytest,
               python3-requests,
               python3-requests-futures,
               python3-setuptools,
               python3-socks,
               python3-stem,
               python3-torrequest
Standards-Version: 4.6.2
Homepage: https://github.com/sherlock-project/sherlock

Package: sherlock
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Find usernames across social networks
 Sherlock relies on the site's designers providing a  unique URL
 for a registered username. To determine if a username is available,
 Sherlock queries that URL, and uses to response to understand if
 there is a claimed username already there.
 .
 Currently, the tool is capable of locating users on more than 300 social
 networks: Apple Developer, Arduino, Docker Hub, GitHub, GitLab,  Facebook,
 BitCoinForum, CNET, IFTTT, Instagram, PlayStore  PyPI, Scribd, Telegram,
 TikTok, Tinder etc.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1
export PYBUILD_NAME=sherlock_project
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS={interpreter} -m pytest -m "not online"

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: sh -c 'sherlock kalilinux | grep -F github.com/kalilinux'

=== debian/watch ===
version=4
# opts="mode=git, pretty=0.14.3+git%cd, pgpmode=none" \
#  https://github.com/sherlock-project/sherlock HEAD
# Upstream doesn't tag releases, but leave this in here in case they start.
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sherlock-$1.tar.gz%" \
  https://github.com/sherlock-project/sherlock/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## sherlock 1.2.0+git20210325

=== debian/changelog ===
sherlock (1.2.0+git20210325-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 21 Dec 2021 18:45:21 -0500

com.github.sergius02.sherlock (1.2.0) bionic; urgency=medium

  * Latitude and longitude can now been opened in OpenStreetMap 
  * Sherlock now can works from terminal!, just type com.github.sergius02.sherlock -h for help

 -- Sergio Fernández Celorio <scelorio1990@gmail.com>  Mon, 31 Aug 2020 20:03:19 +0200

com.github.sergius02.sherlock (1.0) bionic; urgency=medium

  * Initial Release.  * 

 -- Sergio Fernández Celorio <scelorio1990@gmail.com>  Mon, 31 Aug 2020 20:03:19 +0200

=== debian/control ===
Source: sherlock
Section: x11
Priority: extra
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Sergio Fernández Celorio <scelorio1990@gmail.com>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               libgtk-3-dev,
               meson,
               libsoup2.4-dev,
               valac (>= 0.40.0),
               libjson-glib-dev
Standards-Version: 3.9.3
Homepage: https://github.com/sergius02/Sherlock

Package: sherlock
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Find information of public IP addresses, elementary!
 Sherlock uses IP-API to quickly and easily find public information about IP 
 addresses such as:
 .
 - Country and Region
 - City and Zip
 - Latitude and Longitude
 - Internet Service Provider
 - Owning Organization

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_strip:
	dh_strip --no-automatic-dbgsym
